.min-height-100vh {
    min-height: 100vh;
}

.margin-center-hor:first-of-type {
    margin-left: auto;
}

.margin-center-hor:last-of-type {
    margin-right: auto;
}

.margin-center-ver:first-of-type {
    margin-top: auto;
}

.margin-center-ver:last-of-type {
    margin-bottom: auto;
}

.overflow-y-scroll {
    overflow-y: scroll;
}

.overflow-x-auto {
    overflow-x: auto;
}

.flex-auto {
    flex: auto;
}

.flex-none {
    flex: none;
}

.flex-even {
    flex: 1;
}

.flex-fixed {
    flex: 1 0 auto;
}

.flex-column {
    flex-direction: column;
}

.flex-wrap {
    flex-wrap: wrap
}

.separator-bottom {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.separator-top {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.hor-scroll-ind-container {
    /* The indicators are positioned on the left and right of this element using `position: absolute`. */
    position: relative;
}

.hor-scroll-ind-left,
.hor-scroll-ind-right {
    opacity: 0; 
    transition: 0.5s opacity;
    position: absolute;
    top: 0;
    bottom: 0;
    width: 9px;
}

.hor-scroll-ind-left {
    left: 0;
    background: radial-gradient(100% 50% at center left, rgba(2,117,216,0.4), rgba(2,117,216,0)) center left no-repeat;
}

.hor-scroll-ind-right {
    right: 0;
    background: radial-gradient(100% 50% at center right, rgba(2,117,216,0.4), rgba(2,117,216,0)) center right no-repeat;
}

.hor-scroll-ind-viewport {
    overflow-x: auto;
}

.hor-scroll-ind-content {
    /* Inline block extends the width of this element to the content. Without it width dependent based properties, for example backgrounds, don't work as expected. */
    display: inline-block;
    /* Prevent the inline block from getting smaller than the viewport. */
    min-width: 100%;
}

.overflow-hidden {
    overflow: hidden;
}

.header-image-overlay {
    background-image: linear-gradient(rgba(255, 255, 255, 0.4), 25%, rgba(255, 255, 255, 0.6));
}

.header-image {
    background-position: center;
    background-size: cover;
    opacity: 0;
    transition: opacity 3s;
}

.relative {
    position: relative;
}

.absolute-cover {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.pointer-events-none {
    pointer-events: none;
}

/* color hint at position h mixes a color at point p by p^(log_h(1/2)). Solving log_h(1/2) = 2 yields h = sqrt(1/2), roughly 0.7071. */
.inset-shadow-y {
    background:
        linear-gradient(to top, rgba(0, 0, 0, 0), 70.71%, rgba(0, 0, 0, 0.05)) center top/auto 10px repeat-x,
        linear-gradient(to bottom, rgba(0, 0, 0, 0), 70.71%, rgba(0, 0, 0, 0.05)) center bottom/auto 10px repeat-x;
}

.inset-shadow-bottom {
    background:
        linear-gradient(to bottom, rgba(0, 0, 0, 0), 70.71%, rgba(0, 0, 0, 0.05)) center bottom/auto 10px repeat-x;
}

.outset-shadow-y {
    margin-top: -15px;
    margin-bottom: -15px;
    background: 
        linear-gradient(to bottom, rgba(0, 0, 0, 0), 70.71%, rgba(0, 0, 0, 0.25)) center top/auto 15px repeat-x,
        linear-gradient(to top, rgba(0, 0, 0, 0), 70.71%, rgba(0, 0, 0, 0.15)) center bottom/auto 15px repeat-x;
}